<template>
    <div
        class="tab-pane fade"
        id="v-pills-order"
        role="tabpanel"
        aria-labelledby="v-pills-order-tab"
        v-if="this.user.role == 1 || this.user.role == 10"
    >
        <div class="container-fluid">
            <div class="row">
                <div
                    v-for="item in orders"
                    :key="item.id"
                    class="col-lg-12 col-xl-6"
                >
                    <div class="address-box">
                        <div class="card b m-b-30">
                            <div class="card-header">
                                <h5 class="mb-0">Pedido # {{ item.id }}</h5>
                            </div>
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-lg-3 mb-3">
                                        <img
                                            src="/assets/images/small_logo.svg"
                                            alt=""
                                            class="img-fluid"
                                        />
                                    </div>
                                    <div class="col-lg-6">
                                        <span class="font-16">
                                            Para ver la planilla generada
                                            presiona
                                            <a
                                                :href="
                                                    '/dashboard/compras/plantilla/' +
                                                        item.id
                                                "
                                                target="_blank"
                                                >aquí</a
                                            >
                                        </span>
                                        <p
                                            class="text-primary font-26 f-w-7 my-3"
                                        >
                                            <sup class="font-16"
                                                >$ {{ item.price }}</sup
                                            >
                                        </p>
                                    </div>
                                    <div class="col-lg-3"></div>
                                </div>
                            </div>
                            <div class="card-footer ">
                                <div v-if="item.status == 0" class="row">
                                    <div class="col-lg-7">
                                        ¿Desea continuar con el pedido?
                                    </div>
                                    <div class="col-lg-4 text-center">
                                        <button
                                            @click="pedido(item)"
                                            type="submit"
                                            class="btn btn-round btn-success-rgba mb-1"
                                        >
                                            <i class="ti-check"></i>
                                        </button>
                                        <button
                                            type="button"
                                            class="btn btn-round btn-danger-rgba mb-1"
                                            data-toggle="modal"
                                            v-bind:data-target="
                                                '#deleteModal' + item.id
                                            "
                                        >
                                            <i class="ti-close"></i>
                                        </button>
                                        <div
                                            class="modal fade"
                                            v-bind:id="'deleteModal' + item.id"
                                            tabindex="-1"
                                            role="dialog"
                                            v-bind:aria-labelledby="
                                                'deleteModalLabel' + item.id
                                            "
                                            aria-hidden="true"
                                        >
                                            <div
                                                class="modal-dialog"
                                                role="document"
                                            >
                                                <div class="modal-content">
                                                    <div
                                                        class="modal-header bg-danger"
                                                    >
                                                        <h5
                                                            class="modal-title "
                                                            v-bind:id="
                                                                'deleteModalLabel' +
                                                                    item.id
                                                            "
                                                        >
                                                            Cancelar
                                                            inscripción.
                                                        </h5>
                                                        <button
                                                            type="button"
                                                            class="close"
                                                            data-dismiss="modal"
                                                            aria-label="Close"
                                                        >
                                                            <span
                                                                aria-hidden="true"
                                                                >&times;</span
                                                            >
                                                        </button>
                                                    </div>
                                                    <div class="modal-body">
                                                        <p class="text-muted">
                                                            ¿Seguro desea
                                                            eliminar la
                                                            solicitud de
                                                            inscripción #{{
                                                                item.id
                                                            }}?
                                                        </p>
                                                    </div>

                                                    <div class="modal-footer">
                                                        <button
                                                            type="button"
                                                            class="btn btn-secondary"
                                                            data-dismiss="modal"
                                                        >
                                                            Cancelar
                                                        </button>
                                                        <button
                                                            type="button"
                                                            class="btn btn-danger"
                                                            v-on:click.prevent="
                                                                deleteOrder(
                                                                    item.id
                                                                )
                                                            "
                                                        >
                                                            Eliminar Inscripción
                                                        </button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div v-if="item.status == 1" class="row">
                                    <div class="col-lg-12 text-danger">
                                        El pago de tu planilla de inscripción
                                        está en revisión. En las próximas 24h
                                        tendrá respuesta de la misma
                                    </div>
                                </div>
                                <div v-if="item.status == 2" class="row">
                                    <div class="col-lg-12 text-warning">
                                        Pago procesado. Pendiente por
                                        inscripción en sistema de estudio.
                                    </div>
                                </div>
                                <div v-if="item.status == 3" class="row">
                                    <div class="col-lg-12 text-success">
                                        La inscripción se realizó con éxito. <br> 
                                        Para ingresar al sistema de estudios
                                        <a
                                            href="https://cursos.megalcaacademy.com/"
                                            target="_blank"
                                            rel="noopener noreferrer"
                                            >click aquí</a
                                        >
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>
<script>
export default {
    props: ["users"],
    mounted() {
        
        this.get();
    },
    data() {
        return {
            user: this.users,
            orders: []
        };
    },
    methods: {
        get() {
            axios.get("/api/accounting/orders").then(res => {
                this.orders = res.data.filter(i => i.user_id == this.user.id);
                
            });
        },
        pedido(item) {
            let order = item;
            item.items = "";
            sessionStorage.setItem("order", JSON.stringify(order));
            location.href = "/checkout";
        },
        deleteOrder(i) {
            axios.delete("/api/accounting/orders/" + i).then(res => {
                $("#deleteModal" + i).modal("toggle");
                $(".modal-backdrop").remove();
                this.get();
            });
        }
    }
};
</script>
